//+------------------------------------------------------------------+
//|                                           Ichimoku Prototype.mq4 |
//|                                              Wami Ikechukwu Kanu |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Wami Ikechukwu Kanu"
#property link      ""
#property version   "1.00"
#property strict
#property description "edited by eevviill"
#property description "errors"


//+------------------------------------------------------------------+
//| EXTERNAL VARIBLE                                                 |
//+------------------------------------------------------------------+
extern double Lots = 0.10;                         // Amount of lots to trade with.
extern double TakeProfit = 0;                      // The requested close price that determines the maximum profit for the given trade.
extern double TrailingStop = 0;                    // Min number of pips in profit for the trailing stop to start
extern double StopLoss = 0;                        // The requested close price that determines the maximum loss allowed for the given trade
extern int TenkanSen_ = 9;                       // Tenkan-sen (highest high + lowest low)/2 for the last 9 periods
extern int KijunSen_ = 26;                       // Kijun-sen (highest high + lowest low)/2 for the past 26 periods
extern int SenkouspanB_ = 52;                    // Senkou-spanB (highest high + lowest low)/2 for the past 52 periods timeshifted forwards (into the future) 26 period

//-------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| EXPERT INITIALIAZATION FUNCTION                                  |
//+------------------------------------------------------------------+
int Init()                                         // Special function initialiazation
 {
  //---
  
  //---
  
  return(0);                                       // Exit Init()
 }

//+------------------------------------------------------------------+
//| EXPERT DEINITIALIAZATION FUNCTION                                |
//+------------------------------------------------------------------+
int Deinit()                                       // Special function deinitialiazation         
  {
//--- 

//--- 
 return(0);                                        // Exit Deinit()
  }
  
//+------------------------------------------------------------------+
//| START ALGORITHM                                                  |
//+------------------------------------------------------------------+

                                                  

 
      
//---------------------------------------------------------------------

void OnTick()                                       // Special function start
       {
  double TenkanSen=iIchimoku(NULL, 0, TenkanSen_, KijunSen_, SenkouspanB_, MODE_TENKANSEN,  0);
double KijunSen=iIchimoku(NULL, 0, TenkanSen_, KijunSen_, SenkouspanB_, MODE_KIJUNSEN,  0);
double SenkouspanA=iIchimoku(NULL, 0, TenkanSen_, KijunSen_, SenkouspanB_, MODE_SENKOUSPANA,  0);
double SenkouspanB=iIchimoku(NULL, 0, TenkanSen_, KijunSen_, SenkouspanB_, MODE_SENKOUSPANB,  0);
double Chikouspan=iIchimoku(NULL, 0, TenkanSen_, KijunSen_, SenkouspanB_, MODE_CHIKOUSPAN,  0);     
       
        Alert(Symbol()," Sell = ",AccountFreeMargin()      // At selling    
        -AccountFreeMarginCheck(Symbol(),OP_SELL,1));
        Alert(Symbol()," Buy = ",AccountFreeMargin()       // At buying
        -AccountFreeMarginCheck(Symbol(),OP_BUY,1));
        return;                                         // Exit start()
       
       
          
if (IsTradeAllowed() == false)                     // Header of the operator and condition
 {
 Comment("Trade not allowed.");                     // This is a Comment 
 return;
 } 
 else
 Comment("Trade allowed");
 
if (TenkanSen>KijunSen && SenkouspanA>SenkouspanB)  // Header of the operator and condition
 {
 OrderSend("sysmbol()",OP_BUY,Lots,Ask,0,StopLoss,TakeProfit,NULL,0,0,Blue);
 Alert (GetLastError());                       // Error message
 return;                                       // Exit start()
 if (Bid==StopLoss)                             // Header of the operator and condition
 {
OrderClose(OrderTicket(),Lots,Bid,0,Black);
 }  
 }
 else
 Alert ("TenkanSen is not greater than KijunSen and SenkouspanA is not greater than SenkouspanB /n So it is not a buy signal");

if (TenkanSen<KijunSen && SenkouspanA<SenkouspanB)   // Header of the operator and condition
 {
 OrderSend("sysmbol()",OP_SELL,Lots,Ask,0,StopLoss,TakeProfit,NULL,0,0,Red);
 Alert (GetLastError());                       // Error message
 return;                                       // Exit start()
 if (Bid==StopLoss)
 {                            // Header of the operator and condition 
OrderClose(OrderTicket(),Lots,Bid,0,Black);
 }
 }
  else
 Alert("TenkanSen is not less than KijunSen and SenkouspanA is not less than SenkouspanB /n So it is not a sell signal");
 
 
 }//end start
  

          
          
